import {Field, FieldType, Model} from '@extollo/orm'

export class User extends Model<User> {
    protected static table = 'user'
    protected static key = 'user_id'

    @Field(FieldType.serial, 'user_id')
    public userId!: number

    @Field(FieldType.varchar)
    public username!: string

    @Field(FieldType.varchar, 'phone_number')
    public phoneNumber!: string
}
